Package org.apache.storm.kafka.spout.trident

# Class KafkaTridentSpoutOpaque<K,V>

java.lang.Object
org.apache.storm.kafka.spout.trident.KafkaTridentSpoutOpaque<K,V>

All Implemented Interfaces:
  `Serializable`, `IOpaquePartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`, `ITridentDataSource`

public class KafkaTridentSpoutOpaque<K,V> extends Object implements IOpaquePartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.storm.trident.spout.IOpaquePartitionedTridentSpout

  `IOpaquePartitionedTridentSpout.Coordinator<PartitionsT>, IOpaquePartitionedTridentSpout.Emitter<PartitionsT,PartitionT extends ISpoutPartition,M>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KafkaTridentSpoutOpaque(KafkaTridentSpoutConfig<K,V> kafkaSpoutConfig)`
  Creates a new opaque transactional Trident Kafka spout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getComponentConfiguration()`
  `IOpaquePartitionedTridentSpout.Coordinator<List<Map<String,Object>>>`
  `getCoordinator(Map<String,Object> conf, TopologyContext context)`
  `IOpaquePartitionedTridentSpout.Emitter<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`
  `getEmitter(Map<String,Object> conf, TopologyContext context)`
  `Fields`
  `getOutputFields()`
  `final String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KafkaTridentSpoutOpaque

    public KafkaTridentSpoutOpaque(KafkaTridentSpoutConfig<K,V> kafkaSpoutConfig)
    Creates a new opaque transactional Trident Kafka spout.

- ## Method Details

  - ### getEmitter

    public IOpaquePartitionedTridentSpout.Emitter<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>> getEmitter(Map<String,Object> conf, TopologyContext context)
    Specified by:
      `getEmitter` in interface `IOpaquePartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`

  - ### getCoordinator

    public IOpaquePartitionedTridentSpout.Coordinator<List<Map<String,Object>>> getCoordinator(Map<String,Object> conf, TopologyContext context)
    Specified by:
      `getCoordinator` in interface `IOpaquePartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`

  - ### getComponentConfiguration

    public Map<String,Object> getComponentConfiguration()
    Specified by:
      `getComponentConfiguration` in interface `IOpaquePartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`

  - ### getOutputFields

    public Fields getOutputFields()
    Specified by:
      `getOutputFields` in interface `IOpaquePartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`

  - ### toString

    public final String toString()
    Overrides:
      `toString` in class `Object`